/**
 * Created by robin on 12/12/16.
 */

(function () {
    'use strict';

    angular.module('appSdk')
        .factory('pkguidsDataAccess', ['luWebApiCrudDataAccess', function (luWebApiCrudDataAccess) {

            var DataAccess = luWebApiCrudDataAccess.create('/api/pkguid');

            DataAccess.defaultDbo = {
                id: null,
                someText: null,
                someInt: null,
                createdAt: null,
                updatedAt: null,
                _itemType: 'pkguids',
                toString: function () {
                    return (this.someText != '' && this.someText != null) ? this.someText : this.id;
                }
            };

            return DataAccess;
        }]);
})();